File php-5.3.3-CVE-2010-4700.patch of Package php5

--- ext/mysqlnd/mysqlnd_result.c	2010/08/25 15:02:02	302775
+++ ext/mysqlnd/mysqlnd_result.c	2010/08/25 15:06:47	302776
@@ -1540,6 +1540,8 @@
 				break;
 			default:exit(0);
 		}
+	} else if (extension == MYSQLND_MYSQLI && PG(magic_quotes_runtime)) {
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "magic_quotes_runtime are not supported by mysqlnd. They were deprecated in PHP 5.3 ");
 	}
 	/*
 	  return_value is IS_NULL for no more data and an array for data. Thus it's ok
openSUSE Build Service is sponsored by